"use client";
import { Mask } from "antd-mobile";
import { useTranslations } from "next-intl";
import { FC, PropsWithChildren, useEffect, useState } from "react";
import "./style.scss";

/**
 * @description 奖金条款
 */
export interface MaskComProps {
    visible?: boolean;
    callbackFun?: (params: any) => void;
}

const MaskCom: FC<PropsWithChildren<MaskComProps>> = (props) => {
    const t = useTranslations("ProfilePage");
    const [visible, setVisible] = useState(props.visible);

    useEffect(() => {
        setVisible(props.visible);
    }, [props.visible]);

    return (
        <Mask visible={visible} onMaskClick={props.callbackFun}>
            <div className="mask-bonus-box">
                <div className="mask-box">
                    <span className="iconfont icon-guanbi" onClick={props.callbackFun}></span>
                    <div className="title">Termos de Bônus</div>
                    <div className="popUpMain">
                        <ul>
                            <li>
                                O bônus será transferido automaticamente para sua saldo carteira
                                após completar o requisito de rollover de 36x.
                            </li>
                            <li>O saldo em dinheiro real pode ser sacado a qualquer momento.</li>
                            <li>
                                Se você fizer um saque quando tiver um saldo de bônus ativo, seu
                                saldo de bônus será perdido.
                            </li>
                            <li>
                                O bônus não pode ser jogado em Crash, Dados, Esportes Virtuais ou
                                qualquer outro jogo oficial com restrições especiais.
                            </li>
                            <li>
                                Salvo indicação em contrário, todos os bônus são limitados um por
                                pessoa, por casa, por computador ou por IP.
                            </li>
                            <li>
                                R$30 é a aposta máxima permitida ao jogar com dinheiro de bônus. Se,
                                após a análise do jogo, BCWIN777.bet descobrir que um jogador violou
                                esta condição, seus bônus e ganhos serão perdidos.
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </Mask>
    );
};

export default MaskCom;
